---
- name: Get Cheetah from Central Artifact Repository
  become: true
  ansible.builtin.get_url:
    url: https://artefact.skao.int/repository/apt-bionic-internal/pool/c/cheetah/cheetah_{{cheetah_version}}_amd64.deb
    dest: /usr/local/src
    mode: 744
    validate_certs: false

- name: Install Cheetah
  become: true
  ansible.builtin.shell: cd /usr/local/src && apt install -y ./cheetah_{{cheetah_version}}_amd64.deb

- name: Check if Cheetah is installed
  become: true
  ansible.builtin.shell: apt-cache show cheetah
  register: result

- name: Show if Cheetah is installed
  become: true
  ansible.builtin.debug:
    var: result